Generate proxy credentials
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");curl_easy_setopt(hnd, CURLOPT_URL, "https://api.proxyrequest.com/api/v1/proxies/generate");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{ \"package_id\": \"550e8400-e29b-41d4-a716-446655440002\", \"quantity\": 2, \"targeting\": { \"country\": \"us\", \"region\": \"california\", \"city\": \"los_angeles\", \"isp\": \"comcast\" }, \"connection\": { \"protocol\": \"http\", \"format\": \"{host}:{port}:{username}:{password}\" }, \"session\": { \"ttl\": 60 } }");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.proxyrequest.com/api/v1/proxies/generate"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"package_id\": \"550e8400-e29b-41d4-a716-446655440002\", \"quantity\": 2, \"targeting\": { \"country\": \"us\", \"region\": \"california\", \"city\": \"los_angeles\", \"isp\": \"comcast\" }, \"connection\": { \"protocol\": \"http\", \"format\": \"{host}:{port}:{username}:{password}\" }, \"session\": { \"ttl\": 60 } }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.proxyrequest.com/api/v1/proxies/generate"
payload := strings.NewReader("{ \"package_id\": \"550e8400-e29b-41d4-a716-446655440002\", \"quantity\": 2, \"targeting\": { \"country\": \"us\", \"region\": \"california\", \"city\": \"los_angeles\", \"isp\": \"comcast\" }, \"connection\": { \"protocol\": \"http\", \"format\": \"{host}:{port}:{username}:{password}\" }, \"session\": { \"ttl\": 60 } }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.proxyrequest.com/api/v1/proxies/generate")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{ \"package_id\": \"550e8400-e29b-41d4-a716-446655440002\", \"quantity\": 2, \"targeting\": { \"country\": \"us\", \"region\": \"california\", \"city\": \"los_angeles\", \"isp\": \"comcast\" }, \"connection\": { \"protocol\": \"http\", \"format\": \"{host}:{port}:{username}:{password}\" }, \"session\": { \"ttl\": 60 } }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"package_id\": \"550e8400-e29b-41d4-a716-446655440002\", \"quantity\": 2, \"targeting\": { \"country\": \"us\", \"region\": \"california\", \"city\": \"los_angeles\", \"isp\": \"comcast\" }, \"connection\": { \"protocol\": \"http\", \"format\": \"{host}:{port}:{username}:{password}\" }, \"session\": { \"ttl\": 60 } }");Request request = new Request.Builder() .url("https://api.proxyrequest.com/api/v1/proxies/generate") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.proxyrequest.com/api/v1/proxies/generate', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: { package_id: '550e8400-e29b-41d4-a716-446655440002', quantity: 2, targeting: {country: 'us', region: 'california', city: 'los_angeles', isp: 'comcast'}, connection: {protocol: 'http', format: '{host}:{port}:{username}:{password}'}, session: {ttl: 60} }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.proxyrequest.com/api/v1/proxies/generate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"package_id":"550e8400-e29b-41d4-a716-446655440002","quantity":2,"targeting":{"country":"us","region":"california","city":"los_angeles","isp":"comcast"},"connection":{"protocol":"http","format":"{host}:{port}:{username}:{password}"},"session":{"ttl":60}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"package_id\": \"550e8400-e29b-41d4-a716-446655440002\", \"quantity\": 2, \"targeting\": { \"country\": \"us\", \"region\": \"california\", \"city\": \"los_angeles\", \"isp\": \"comcast\" }, \"connection\": { \"protocol\": \"http\", \"format\": \"{host}:{port}:{username}:{password}\" }, \"session\": { \"ttl\": 60 } }")val request = Request.Builder() .url("https://api.proxyrequest.com/api/v1/proxies/generate") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.proxyrequest.com/api/v1/proxies/generate";
let payload = json!({ "package_id": "550e8400-e29b-41d4-a716-446655440002", "quantity": 2, "targeting": json!({ "country": "us", "region": "california", "city": "los_angeles", "isp": "comcast" }), "connection": json!({ "protocol": "http", "format": "{host}:{port}:{username}:{password}" }), "session": json!({"ttl": 60}) });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.proxyrequest.com/api/v1/proxies/generate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "package_id": "550e8400-e29b-41d4-a716-446655440002", "quantity": 2, "targeting": { "country": "us", "region": "california", "city": "los_angeles", "isp": "comcast" }, "connection": { "protocol": "http", "format": "{host}:{port}:{username}:{password}" }, "session": { "ttl": 60 } }'wget --quiet \ --method POST \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --body-data '{ "package_id": "550e8400-e29b-41d4-a716-446655440002", "quantity": 2, "targeting": { "country": "us", "region": "california", "city": "los_angeles", "isp": "comcast" }, "connection": { "protocol": "http", "format": "{host}:{port}:{username}:{password}" }, "session": { "ttl": 60 } }' \ --output-document \ - https://api.proxyrequest.com/api/v1/proxies/generateCreates ready-to-use proxy credentials for a purchased package. Use targeting to choose a location or provider scope, connection to choose protocol and output format, and session to control sticky session lifetime.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Validates proxy generation request data and builds generator config.
object
Package used to generate credentials.
Sub-user that will use the generated credentials.
Number of proxies to generate
object
Target continent code.
Target country code.
Target region or state code.
Target city code.
Proxy pool identifier.
Target autonomous system number.
Target internet service provider.
Target operating system: linux, windows, ios, macos, android. Use comma-separated values only when combined OS targeting is enabled.
object
Proxy protocol. * http - http * socks5 - socks5 * auto - auto
Gateway host. Leave empty to use the default gateway.
Gateway port. Leave empty to use the port for the selected protocol.
Connection string format.
object
Sticky session lifetime in minutes. Use 0 for rotating sessions.
Examples
Generate HTTP proxies for a country
{ "package_id": "550e8400-e29b-41d4-a716-446655440002", "quantity": 2, "targeting": { "country": "us", "region": "california", "city": "los_angeles", "isp": "comcast" }, "connection": { "protocol": "http", "format": "{host}:{port}:{username}:{password}" }, "session": { "ttl": 60 }}Validates proxy generation request data and builds generator config.
object
Package used to generate credentials.
Sub-user that will use the generated credentials.
Number of proxies to generate
object
Target continent code.
Target country code.
Target region or state code.
Target city code.
Proxy pool identifier.
Target autonomous system number.
Target internet service provider.
Target operating system: linux, windows, ios, macos, android. Use comma-separated values only when combined OS targeting is enabled.
object
Proxy protocol. * http - http * socks5 - socks5 * auto - auto
Gateway host. Leave empty to use the default gateway.
Gateway port. Leave empty to use the port for the selected protocol.
Connection string format.
object
Sticky session lifetime in minutes. Use 0 for rotating sessions.
Examples
Example request
package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001&quantity=1&continent=continent&country=us®ion=california&city=los_angeles&pool=residential&asn=15169&isp=comcast&os=os&protocol=http&host=proxy.example.net&port=8000&format=%7Bprotocol%7D%3A%2F%2F%7Busername%7D%3A%7Bpassword%7D%40%7Bhost%7D%3A%7Bport%7D&ttl=3600Validates proxy generation request data and builds generator config.
object
Package used to generate credentials.
Sub-user that will use the generated credentials.
Number of proxies to generate
object
Target continent code.
Target country code.
Target region or state code.
Target city code.
Proxy pool identifier.
Target autonomous system number.
Target internet service provider.
Target operating system: linux, windows, ios, macos, android. Use comma-separated values only when combined OS targeting is enabled.
object
Proxy protocol. * http - http * socks5 - socks5 * auto - auto
Gateway host. Leave empty to use the default gateway.
Gateway port. Leave empty to use the port for the selected protocol.
Connection string format.
object
Sticky session lifetime in minutes. Use 0 for rotating sessions.
Examples
Example request
{ "package_id": "550e8400-e29b-41d4-a716-446655440002", "user_id": "550e8400-e29b-41d4-a716-446655440001", "quantity": 1, "targeting": { "continent": "continent", "country": "us", "region": "california", "city": "los_angeles", "pool": "residential", "asn": "15169", "isp": "comcast", "os": "os" }, "connection": { "protocol": "http", "host": "proxy.example.net", "port": 8000, "format": "{protocol}://{username}:{password}@{host}:{port}" }, "session": { "ttl": 3600 }}Responses
Section titled “Responses”The resource or action result was created successfully.
object
object
Examples
Generated proxy credentials
{ "count": 2, "proxies": [ { "host": "proxy.thepremiumports.com", "port": 8000, "protocol": "http", "username": "pkg-res-country-us-region-california", "password": "proxy-password", "connection_string": "proxy.thepremiumports.com:8000:pkg-res-country-us-region-california:proxy-password" } ]}The request is malformed or violates a business rule.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Validation error
{ "non_field_errors": [ "The request could not be processed." ], "translation": "errors.request.invalid"}Authentication credentials are missing, expired, or invalid.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Authentication required
{ "detail": "Authentication credentials were not provided."}The authenticated account cannot perform this operation.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Permission denied
{ "detail": "You do not have permission to perform this action."}The requested resource does not exist in the current account scope.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Resource not found
{ "detail": "Not found."}